package com.sun.messaging.jmq.jmsserver.data;

import com.sun.messaging.jmq.io.Packet;
import com.sun.messaging.jmq.jmsserver.core.DestinationUID;

public class TransactionWorkMessage {

	DestinationUID destUID;
	Packet message;

	public TransactionWorkMessage(DestinationUID destUID, Packet message) {
		this.destUID = destUID;
		this.message = message;
	}
	
	public TransactionWorkMessage() {			
	}

	public DestinationUID getDestUID() {
		return destUID;
	}

	public void setDestUID(DestinationUID destUID) {
		this.destUID = destUID;
	}

	public Packet getMessage() {
		return message;
	}

	public void setMessage(Packet message) {
		this.message = message;
	}

	public String toString()
	{
		StringBuffer result= new StringBuffer("sysMessageID=").append(message.getMessageID());
		result.append(" destUID=").append(destUID);
		result.append(" dest=").append(message.getDestination());
	
		return result.toString();
	}
}
