package com.sun.messaging.jmq.jmsserver.data;

import com.sun.messaging.jmq.io.SysMessageID;
import com.sun.messaging.jmq.jmsserver.core.ConsumerUID;

public class TransactionWorkMessageAck {

	String dest;
	SysMessageID sysMessageID;
	ConsumerUID consumerID;

	public TransactionWorkMessageAck() {

	}

	public TransactionWorkMessageAck(String dest, SysMessageID sysMessageID,
			ConsumerUID consumerID) {
		this.dest = dest;
		this.sysMessageID = sysMessageID;
		this.consumerID = consumerID;
	}

	public String getDest() {
		return dest;
	}

	public void setDest(String dest) {
		this.dest = dest;
	}

	public SysMessageID getSysMessageID() {
		return sysMessageID;
	}

	public void setSysMessageID(SysMessageID sysMessageID) {
		this.sysMessageID = sysMessageID;
	}

	public ConsumerUID getConsumerID() {
		return consumerID;
	}

	public void setConsumerID(ConsumerUID consumerID) {
		this.consumerID = consumerID;
	}
	
	public String toString()
	{
		StringBuffer result = new StringBuffer("dest=").append(dest);
		result.append(" sysMessageID=").append(sysMessageID);
		result.append(" consumerID=").append(consumerID);		
		return result.toString();
	}

}
